Bug 1505752 - [abrt] remmina: remmina_connection_window_close_all_connections(): remmina killed by SIGSEGV
Summary: [abrt] remmina: remmina_connection_window_close_all_connections(): remmina ki...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7a1e195aa0ce77ec91b5cd068ba...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-24 08:40 UTC by Davide Repetto
Modified: 2018-01-10 02:08 UTC (History)
2 users (show)

Fixed In Version: remmina-1.2.0-0.43.20171220git08f5b4b.fc27 remmina-1.2.0-0.43.20171220git08f5b4b.fc26 remmina-1.2.0-0.44.rcgit.26.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-08 01:37:19 UTC


Attachments (Terms of Use)
File: backtrace (45.01 KB, text/plain)
2017-10-24 08:41 UTC, Davide Repetto
no flags Details
File: cgroup (289 bytes, text/plain)
2017-10-24 08:41 UTC, Davide Repetto
no flags Details
File: core_backtrace (11.43 KB, text/plain)
2017-10-24 08:41 UTC, Davide Repetto
no flags Details
File: cpuinfo (1.04 KB, text/plain)
2017-10-24 08:41 UTC, Davide Repetto
no flags Details
File: dso_list (12.82 KB, text/plain)
2017-10-24 08:41 UTC, Davide Repetto
no flags Details
File: environ (2.82 KB, text/plain)
2017-10-24 08:41 UTC, Davide Repetto
no flags Details
File: exploitable (93 bytes, text/plain)
2017-10-24 08:41 UTC, Davide Repetto
no flags Details
File: limits (1.29 KB, text/plain)
2017-10-24 08:41 UTC, Davide Repetto
no flags Details
File: maps (63.17 KB, text/plain)
2017-10-24 08:41 UTC, Davide Repetto
no flags Details

Description Davide Repetto 2017-10-24 08:40:55 UTC
Description of problem:
I don't really know what could ha caused the crash.

Version-Release number of selected component:
remmina-1.2.0-0.42.20170908git205df66.fc27

Additional info:
reporter:       libreport-2.9.2
backtrace_rating: 4
cmdline:        remmina -i
crash_function: remmina_connection_window_close_all_connections
executable:     /usr/bin/remmina
journald_cursor: s=f88bbcb6f6d34c15a475041d9a40241f;i=2d3569;b=e14692f9b89f42d2a470d4495cb2070a;m=17552e0f62;t=55c3bda335215;x=95fb7dec7df1eaa8
kernel:         4.13.8-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 remmina_connection_window_close_all_connections at /usr/src/debug/remmina-1.2.0-0.42.20170908git205df66.fc27.x86_64/remmina/src/remmina_connection_window.c:391
 #1 remmina_connection_window_delete at /usr/src/debug/remmina-1.2.0-0.42.20170908git205df66.fc27.x86_64/remmina/src/remmina_connection_window.c:435
 #2 remmina_widget_pool_foreach at /usr/src/debug/remmina-1.2.0-0.42.20170908git205df66.fc27.x86_64/remmina/src/remmina_widget_pool.c:144
 #3 remmina_exec_exitremmina at /usr/src/debug/remmina-1.2.0-0.42.20170908git205df66.fc27.x86_64/remmina/src/remmina_exec.c:78

Comment 1 Davide Repetto 2017-10-24 08:41:02 UTC
Created attachment 1342608 [details]
File: backtrace

Comment 2 Davide Repetto 2017-10-24 08:41:04 UTC
Created attachment 1342609 [details]
File: cgroup

Comment 3 Davide Repetto 2017-10-24 08:41:06 UTC
Created attachment 1342610 [details]
File: core_backtrace

Comment 4 Davide Repetto 2017-10-24 08:41:07 UTC
Created attachment 1342611 [details]
File: cpuinfo

Comment 5 Davide Repetto 2017-10-24 08:41:09 UTC
Created attachment 1342612 [details]
File: dso_list

Comment 6 Davide Repetto 2017-10-24 08:41:11 UTC
Created attachment 1342613 [details]
File: environ

Comment 7 Davide Repetto 2017-10-24 08:41:13 UTC
Created attachment 1342614 [details]
File: exploitable

Comment 8 Davide Repetto 2017-10-24 08:41:14 UTC
Created attachment 1342615 [details]
File: limits

Comment 9 Davide Repetto 2017-10-24 08:41:17 UTC
Created attachment 1342616 [details]
File: maps

Comment 10 Davide Repetto 2017-10-24 10:55:12 UTC
Similar problem has been detected:

I don't really know what could ha caused the crash.

reporter:       libreport-2.9.2
backtrace_rating: 4
cmdline:        remmina -i
crash_function: remmina_connection_window_close_all_connections
executable:     /usr/bin/remmina
journald_cursor: s=f88bbcb6f6d34c15a475041d9a40241f;i=2d3569;b=e14692f9b89f42d2a470d4495cb2070a;m=17552e0f62;t=55c3bda335215;x=95fb7dec7df1eaa8
kernel:         4.13.8-300.fc27.x86_64
package:        remmina-1.2.0-0.42.20170908git205df66.fc27
reason:         remmina killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 11 Fedora Update System 2017-12-20 14:32:24 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc26 remmina-1.2.0-0.43.20171220git08f5b4b.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8e2917f50e

Comment 12 Fedora Update System 2017-12-20 14:33:17 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc27 remmina-1.2.0-0.43.20171220git08f5b4b.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-504f06e50b

Comment 13 Fedora Update System 2017-12-21 20:26:14 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc27, remmina-1.2.0-0.43.20171220git08f5b4b.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-504f06e50b

Comment 14 Fedora Update System 2017-12-21 21:11:09 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc26, remmina-1.2.0-0.43.20171220git08f5b4b.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8e2917f50e

Comment 15 Fedora Update System 2018-01-04 23:19:57 UTC
remmina-1.2.0-0.44.rcgit.26.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5730340aa9

Comment 16 Fedora Update System 2018-01-05 11:59:15 UTC
remmina-1.2.0-0.44.rcgit.26.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5730340aa9

Comment 17 Fedora Update System 2018-01-08 01:37:19 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc27, remmina-1.2.0-0.43.20171220git08f5b4b.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-01-09 16:48:19 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc26, remmina-1.2.0-0.43.20171220git08f5b4b.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-01-10 02:08:01 UTC
remmina-1.2.0-0.44.rcgit.26.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.